<?php
define('NTLCMS', 1);
$module = 'referals';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница ваших рефералов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Мои рефералы</b></div>';
$who = DB :: run() -> query("select (`who`) from `ref` where `login` = ? limit 1", array($ulogin)) -> fetch(PDO::FETCH_OBJ);
$refday = DB :: run() -> querySingle("select sum(`day`) from `ref` where `who` = ?", array($ulogin));
echo '<div class="menu"><center>Ссылка для установки:<br/><input type="text" value="'.URL.'/'.$ulogin.'.ref"/></center></div>';
echo '<div class="menu"><center>Ваш рефер: <span style="color:green">'.(empty($who -> who) ? 'Нет рефера' : checkout($who -> who)).'</span><br/>Заработок от реферала '.($set['refpercent']).' %<br/>Сегодня доход '.coins(((int)$refday)).'</center></div>';
$k_post = DB :: run() -> querySingle("select count(`id`) from `ref` where `who` = ?", array($ulogin));
$k_page = k_page($k_post, $onpage);
$page = page($k_page);
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select * from `ref` where `who` = ? limit ".$start.", ".$onpage, array($ulogin));
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> У вас нет ни одного реферала!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> login).' '.login($row -> login, 1).' '.online($row -> login).'<br/>
<i class="fa fa-dot-circle-o  fa-fw"></i> За сегодня: '.coins(round($row -> day, 3)).'<br/>
<i class="fa fa-dot-circle-o  fa-fw"></i> Общий заработок: '.coins(round($row -> all, 3)).'</div>';
}
if ($k_page > 1) navigation(URL.'/referals?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
?>